interface Props {
  size?: "very-small" | "small" | "medium" | "large";
  variant?: "primary" | "white";
}

export const Logo = ({ size = "medium", variant = "primary" }: Props) => {
  let sizeLogo: number,
    variantStyles: string = "";

  switch (size) {
    case "very-small":
      sizeLogo = 34;
      break;
    case "small":
      sizeLogo = 61;
      break;
    case "medium": //valeur par défaut
      sizeLogo = 88;
      break;
    case "large":
      sizeLogo = 140;
      break;
  }

  switch (variant) {
    case "primary": //par défaut
      variantStyles = "#CD213A";
      break;
    case "white": 
      variantStyles = "white";
      break;
  }

  return (
    <svg
      width={sizeLogo}
      viewBox="0 0 140 159"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <g clip-path="url(#clip0_1142_4953)">
        <g clip-path="url(#clip1_1142_4953)">
          <path
            d="M123.25 36.9951C123.25 28.1521 123.25 19.7362 123.25 11.0178C122.592 11.6405 122.165 12.032 121.756 12.4412C104.931 29.2909 88.0879 46.1405 71.2806 63.0258C70.1956 64.1111 69.6799 63.9688 68.7017 62.9724C51.9121 46.0872 35.0691 29.2375 18.244 12.3878C17.8349 11.9786 17.4081 11.6227 16.7322 11C16.7322 19.754 16.7322 28.1699 16.7322 36.9417C10.7029 31.1235 4.9226 25.5366 -1 19.8252C-1 63.0258 -1 105.906 -1 149C-0.608717 148.68 -0.359719 148.484 -0.128507 148.271C8.87099 140.424 17.8705 132.595 26.87 124.749C36.243 116.582 45.5982 108.415 54.989 100.284C55.8427 99.5364 55.9672 99.1271 55.0601 98.3265C53.0859 96.5472 51.1651 94.7146 49.3154 92.7929C48.4972 91.9389 48.017 92.1168 47.2167 92.8107C35.2826 103.237 23.3307 113.628 11.3788 124.019C10.8808 124.464 10.3472 124.873 9.70691 125.407C9.70691 98.54 9.70691 71.9399 9.70691 44.984C11.8412 47.0658 13.7442 48.9696 15.7184 50.7844C16.501 51.5139 16.7856 52.279 16.7856 53.3288C16.75 71.8865 16.7678 90.4443 16.7678 109.002C16.7678 109.589 16.7678 110.176 16.7678 111.137C18.7953 109.429 20.5205 107.952 22.2635 106.493C28.9687 100.817 35.6738 95.1238 42.3968 89.4835C43.2149 88.8074 43.3394 88.3804 42.4679 87.6331C41.2229 86.5833 40.1202 85.3734 38.9286 84.2702C37.8615 83.2916 36.9544 81.5302 35.6916 81.4946C34.3399 81.459 33.3084 83.1671 32.1167 84.1101C30.6227 85.2844 29.1643 86.5121 27.617 87.7754C27.617 79.2171 27.617 70.9079 27.617 62.6166C27.7237 62.5454 27.8482 62.4742 27.9549 62.4208C28.3284 62.8834 28.6485 63.4172 29.0754 63.8265C42.2545 76.655 55.4514 89.4657 68.5949 102.33C69.8044 103.504 70.3557 103.362 71.4584 102.276C84.6375 89.3767 97.87 76.5304 111.102 63.6663C111.494 63.2927 111.796 62.7233 112.401 62.6166C112.401 70.9969 112.401 79.3061 112.401 87.811C109.893 85.7292 107.528 83.8254 105.233 81.8682C104.557 81.2989 104.148 81.2633 103.49 81.9216C101.587 83.8432 99.6308 85.7292 97.621 87.5619C96.7673 88.327 96.7495 88.754 97.6566 89.5191C105.891 96.4226 114.073 103.38 122.272 110.301C122.521 110.514 122.699 110.977 123.232 110.71C123.232 110.123 123.232 109.536 123.232 108.931C123.232 90.4265 123.232 71.9221 123.25 53.4177C123.25 52.8484 123.001 52.1545 123.446 51.6919C125.633 49.4856 127.856 47.3326 130.293 44.9484C130.293 71.9399 130.293 98.5578 130.293 125.193C129.688 125.104 129.404 124.695 129.066 124.393C125.455 121.261 121.863 118.13 118.252 114.998C109.733 107.596 101.214 100.195 92.73 92.7574C91.8763 92.0101 91.396 92.0634 90.6313 92.8463C88.8883 94.6256 87.1097 96.4049 85.2244 98.024C84.0684 99.0204 84.1573 99.5719 85.2956 100.551C101.196 114.34 117.061 128.183 132.925 142.007C135.558 144.303 138.208 146.598 140.947 148.964C140.947 105.853 140.947 62.9546 140.947 19.8608C135.06 25.59 129.315 31.1413 123.25 36.9951ZM111.672 48.2045C98.1012 61.3177 84.513 74.4309 70.9782 87.5797C70.1779 88.3448 69.7866 88.238 69.0574 87.5263C55.5403 74.4309 42.0055 61.3355 28.4707 48.2757C27.7948 47.6173 27.4747 46.9768 27.4925 46.0338C27.5458 43.009 27.5103 39.9843 27.5103 36.9239C28.1861 36.9239 28.3995 37.4399 28.7019 37.7602C41.881 51.0513 55.0423 64.3424 68.2214 77.6336C70.0356 79.4662 70.0356 79.4662 71.8853 77.598C85.011 64.3424 98.1546 51.0869 111.28 37.8314C111.618 37.4933 111.885 37.1019 112.187 36.746C112.312 36.835 112.436 36.9239 112.561 36.9951C112.561 40.1444 112.525 43.2937 112.579 46.4252C112.579 47.2437 112.187 47.7063 111.672 48.2045Z"
            fill={variantStyles}
          />
        </g>
      </g>
      <defs>
        <clipPath id="clip0_1142_4953">
          <rect width="140" height="159" fill="white" />
        </clipPath>
        <clipPath id="clip1_1142_4953">
          <rect
            width="142"
            height="138"
            fill="white"
            transform="translate(-1 11)"
          />
        </clipPath>
      </defs>
    </svg>
  );
};
